Subject: Re: [PATCH v2 00/22] Header cleanups (more splitting of cache.h and simplifying a few other deps)

From: Junio C Hamano <[email-masked]>
Date: Wed, 26 Apr 2023 11:14:55 -0700

Glen Choo <[email-masked]> writes:

> "Elijah Newren via GitGitGadget" <[email-masked]> writes:
>
>> This series continues to focus on splitting declarations from cache.h to
>> separate headers. This series also untangles some dependencies between
>> hash.h and repository.h, and between read-cache.c and tree.[ch], and cleans
>> up a few other headers. At the end of this series the number of cache.h
>> includes drops from 189 down to 149.
>
> I looked over all of the patches briefly and didn't spot any issues,
> though not deeply enough for a Reviewed-by.
>
> FWIW I am quite happy with the direction of this series. I find the
> result much easier to understand compared to the cache.h status quo.

Anything that shrinks the kitchen-sinks would be good ;-)

Thanks.